Program Schema3a;

Type
  MyArray ( u: Char ) = array [ ^B..u ] of Byte;

Var
  O: MyArray ( 'O' );
  K: MyArray ( 'K' );
  p: ^MyArray;  (* $debug-tree="P"*)

begin
  p:= @O;  (* $debug-tree="P"*)
  write ( chr ( SizeOf ( p^ ) ) );
  p:= @K;
  write ( chr ( SizeOf ( p^ ) ) );
  writeln;
end.
